Agents

Synthetic monitor uptime and latency aggregates

GET
/organizations/{organizationId}/synthetic-monitors/aggregates

Path Parameters

organizationId*string
Formatuuid

Query Parameters

timeRange?string

Value in

  • "1h"
  • "24h"
  • "7d"
  • "30d"
  • "90d"

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/synthetic-monitors/aggregates" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "uptimeSeries": [    {      "timestamp": "2019-08-24T14:15:22Z",      "value": 0    }  ],  "latencyP95Series": [    {      "timestamp": "2019-08-24T14:15:22Z",      "value": 0    }  ],  "latencyAvgSeries": [    {      "timestamp": "2019-08-24T14:15:22Z",      "value": 0    }  ],  "lastUpdatedAt": "2019-08-24T14:15:22Z"}
{  "message": "string"}
{  "message": "string"}